# Class pyglet.graphics.vertexdomain.IndexedVertexDomain

    VertexDomain --+
                   |
                  IndexedVertexDomain

Management of a set of indexed vertex lists.

Construction of an indexed vertex domain is usually done with the create_indexed_domain function.

## Methods

| __init__(self, attribute_usages, index_gl_type=5125)
VertexList | create(self, count, index_count) Create an IndexedVertexList in this domain.
Array of int | get_index_region(self, start, count) Get a region of the index buffer.
| draw(self, mode, vertex_list=None) Draw vertices in the domain.
| __del__(self) (Inherited from pyglet.graphics.vertexdomain.VertexDomain)
| __repr__(self) (Inherited from pyglet.graphics.vertexdomain.VertexDomain)

## Method Details

### __init__

(Constructor) __init__(self, attribute_usages, index_gl_type=5125)

Overrides:
  VertexDomain.__init__

### create

create(self, count, index_count)
Create an IndexedVertexList in this domain.

Parameters:
  count : int
    Number of vertices to create
  index_count
    Number of indices to create
Returns: VertexList
Overrides:
  VertexDomain.create

### get_index_region

get_index_region(self, start, count)
Get a region of the index buffer.

Parameters:
  start : int
    Start of the region to map.
  count : int
    Number of indices to map.
Returns: Array of int

### draw

draw(self, mode, vertex_list=None)

Draw vertices in the domain.

If vertex_list is not specified, all vertices in the domain are drawn. This is the most efficient way to render primitives.

If vertex_list specifies a VertexList, only primitives in that list will be drawn.

Parameters:
  mode : int
    OpenGL drawing mode, e.g. `GL_POINTS`, `GL_LINES`, etc.
  vertex_list : IndexedVertexList
    Vertex list to draw, or `None` for all lists in this domain.
Overrides:
  VertexDomain.draw